#!/bin/sh
firmware560=0
fwparam=root.Properties.Firmware.Version
if parhandclient get $fwparam  | grep  '^"5\.6' > /dev/null; then
    firmware560=1
fi

rm -rf /usr/html/local/parking /usr/html/local/demographics /usr/html/local/people-counter /usr/html/local/heatmap /usr/html/local/bicycle
rm -rf /etc/apache2/conf.d/tvpc.conf
rm -rf /etc/apache2/conf.d/tvgd.conf
rm -rf /etc/apache2/conf.d/tvqu.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvgd.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvqu.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvpc.conf
rm -rf /etc/apache2/conf.d/vhosts/all/urls_tvgd.conf # Remove due to 8.30 firmware includes new permissions


parhandclient --nocgi set root.Network.Bonjour.FriendlyName "AXIS Demographic Identifier - `parhandclient --nocgi get root.Brand.ProdShortName - RAW` - `parhandclient --nocgi get root.Properties.System.SerialNumber - RAW`" 2>/dev/null > /dev/null

chown www -R /usr/local/packages/tvgd/html/

# Add Possibility for viewer to see interface and then set specifc permissions for files.
chgrp -R viewer /usr/local/packages/tvgd/*
chmod -R 740 /usr/local/packages/tvgd/*
chmod 750 /usr/local/packages/tvgd/html/demographics/*.cgi
chmod 750 /usr/local/packages/tvgd/html/demographics
chmod 750 /usr/local/packages/tvgd/html/
chgrp admin /usr/local/packages/tvgd/html/demographics/.apiadmin
chgrp operator /usr/local/packages/tvgd/html/demographics/*.cgi
chgrp operator /usr/local/packages/tvgd/html/demographics/.apioperator
chgrp operator /usr/local/packages/tvgd/html/demographics/registration.html
chgrp operator /usr/local/packages/tvgd/html/demographics/javascript/registration.js

#Remove axis-created .htaccess files that only allow admin access
find /usr/local/packages/tvgd/html/ -name .htaccess | xargs rm

#Create symlink to axis html so that we can redirect to its index.shtml from /admin/ without
#triggering the previous redirect from /index.shtml to /demographics/statistics.html
ln -sf /usr/html/ /usr/local/packages/tvgd/html/demographics/axis-html

#Sets apache rewrite rules that redirects /demographics/ to /local/tvgd/demographics/. This is not removed on uninstallation.
#On >5.80 the vhosts folder was added requiring a new placement of the conf file.
if [ -d "/etc/apache2/conf.d/vhosts/all/" ]; then
    cp /usr/local/packages/tvgd/apache.conf /etc/apache2/conf.d/vhosts/all/tvgd.conf
else
    cp /usr/local/packages/tvgd/apache.conf /etc/apache2/conf.d/tvgd.conf
    # Patch 5.70.1
    if md5sum /etc/apache2/httpd-ssl.conf | grep 36d18473ace756a42947e826cc8c7ee9; then
        echo Patching httpd-ssl.conf to fix issue in 5.70 and 5.75.
        cp httpd-ssl.conf.5.70 /etc/apache2/httpd-ssl.conf
    fi
fi

#The transfer_tvgd.conf file is automatically created with /local/tvgd/ prepended to path set in PeopleCounter-cgipaths.conf.
#For our redirecting to work however this prepending must be removed.
sed -rne 's/\/local\/tvgd\//\//p' /etc/apache2/transfer/transfer_tvgd.conf > transfer_tvgd.conf.tmp
cat transfer_tvgd.conf.tmp > /etc/apache2/transfer/transfer_tvgd.conf
rm transfer_tvgd.conf.tmp

#Start tvgd via axis api. Sleep 5 to let axis restart httpd first.
if systemctl status | grep [a]capmanager >/dev/null 2>&1; then
    echo ENABLED=yes > /usr/local/packages/tvgd/conf/runstate.conf
else
    sleep 5
    export QUERY_STRING="action=start&package=tvgd"
    /usr/html/axis-cgi/applications/control.cgi >/dev/null  2>&1
fi

echo 'postinstall reached end of file'
